export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('hremployee-pickup-view', () => import('@pages/human-resource/hremployee-pickup-view/hremployee-pickup-view.vue'));
        Vue.component('hrpost-v-004', () => import('@pages/human-resource/hrpost-v-004/hrpost-v-004.vue'));
        Vue.component('hrduty-edit-view', () => import('@pages/human-resource/hrduty-edit-view/hrduty-edit-view.vue'));
        Vue.component('hroperation-unit-edit-view', () => import('@pages/base/hroperation-unit-edit-view/hroperation-unit-edit-view.vue'));
        Vue.component('hrpost-grid-view', () => import('@pages/human-resource/hrpost-grid-view/hrpost-grid-view.vue'));
        Vue.component('hrpost-v-002', () => import('@pages/human-resource/hrpost-v-002/hrpost-v-002.vue'));
        Vue.component('hrdistribution-edit-view', () => import('@pages/human-resource/hrdistribution-edit-view/hrdistribution-edit-view.vue'));
        Vue.component('hrorg-contact-grid-view', () => import('@pages/base/hrorg-contact-grid-view/hrorg-contact-grid-view.vue'));
        Vue.component('hroperation-unit-v-001', () => import('@pages/base/hroperation-unit-v-001/hroperation-unit-v-001.vue'));
        Vue.component('hroperation-unit-grid-view', () => import('@pages/base/hroperation-unit-grid-view/hroperation-unit-grid-view.vue'));
        Vue.component('hrduty-pickup-grid-view', () => import('@pages/human-resource/hrduty-pickup-grid-view/hrduty-pickup-grid-view.vue'));
        Vue.component('hrorg-contact-v-001', () => import('@pages/base/hrorg-contact-v-001/hrorg-contact-v-001.vue'));
        Vue.component('hrorg-address-v-001', () => import('@pages/base/hrorg-address-v-001/hrorg-address-v-001.vue'));
        Vue.component('hrpost-v-001', () => import('@pages/human-resource/hrpost-v-001/hrpost-v-001.vue'));
        Vue.component('hromhierarchy-grid-view', () => import('@pages/base/hromhierarchy-grid-view/hromhierarchy-grid-view.vue'));
        Vue.component('hroperation-unit-v-002', () => import('@pages/base/hroperation-unit-v-002/hroperation-unit-v-002.vue'));
        Vue.component('hrpost-rel-v-002', () => import('@pages/human-resource/hrpost-rel-v-002/hrpost-rel-v-002.vue'));
        Vue.component('hremployee-pickup-grid-view', () => import('@pages/human-resource/hremployee-pickup-grid-view/hremployee-pickup-grid-view.vue'));
        Vue.component('hrorganization-pickup-view', () => import('@pages/base/hrorganization-pickup-view/hrorganization-pickup-view.vue'));
        Vue.component('hrlegal-grid-view', () => import('@pages/base/hrlegal-grid-view/hrlegal-grid-view.vue'));
        Vue.component('hromhierarchy-tree-exp-view', () => import('@pages/base/hromhierarchy-tree-exp-view/hromhierarchy-tree-exp-view.vue'));
        Vue.component('hrpost-v-006', () => import('@pages/human-resource/hrpost-v-006/hrpost-v-006.vue'));
        Vue.component('hrlegal-v-002', () => import('@pages/base/hrlegal-v-002/hrlegal-v-002.vue'));
        Vue.component('hroperation-unit-tab-exp-view', () => import('@pages/base/hroperation-unit-tab-exp-view/hroperation-unit-tab-exp-view.vue'));
        Vue.component('hrorg-address-grid-view', () => import('@pages/base/hrorg-address-grid-view/hrorg-address-grid-view.vue'));
        Vue.component('hrpost-pickup-view', () => import('@pages/human-resource/hrpost-pickup-view/hrpost-pickup-view.vue'));
        Vue.component('hrlegal-dashboard-view', () => import('@pages/base/hrlegal-dashboard-view/hrlegal-dashboard-view.vue'));
        Vue.component('hrorganization-pickup-grid-view', () => import('@pages/base/hrorganization-pickup-grid-view/hrorganization-pickup-grid-view.vue'));
        Vue.component('hrlegal-v-001', () => import('@pages/base/hrlegal-v-001/hrlegal-v-001.vue'));
        Vue.component('hrpost-pickup-grid-view', () => import('@pages/human-resource/hrpost-pickup-grid-view/hrpost-pickup-grid-view.vue'));
        Vue.component('hrpost-dashboard-view', () => import('@pages/human-resource/hrpost-dashboard-view/hrpost-dashboard-view.vue'));
        Vue.component('hrorg-address-edit-view', () => import('@pages/base/hrorg-address-edit-view/hrorg-address-edit-view.vue'));
        Vue.component('hrorganization-edit-view', () => import('@pages/base/hrorganization-edit-view/hrorganization-edit-view.vue'));
        Vue.component('hromhierarchy-cat-grid-view', () => import('@pages/base/hromhierarchy-cat-grid-view/hromhierarchy-cat-grid-view.vue'));
        Vue.component('hrpost-rel-v-001', () => import('@pages/human-resource/hrpost-rel-v-001/hrpost-rel-v-001.vue'));
        Vue.component('hrdistribution-v-002', () => import('@pages/human-resource/hrdistribution-v-002/hrdistribution-v-002.vue'));
        Vue.component('hromhierarchy-pickup-view', () => import('@pages/base/hromhierarchy-pickup-view/hromhierarchy-pickup-view.vue'));
        Vue.component('hrpost-v-003', () => import('@pages/human-resource/hrpost-v-003/hrpost-v-003.vue'));
        Vue.component('hremployee-grid-view', () => import('@pages/human-resource/hremployee-grid-view/hremployee-grid-view.vue'));
        Vue.component('hrpost-tab-exp-view', () => import('@pages/human-resource/hrpost-tab-exp-view/hrpost-tab-exp-view.vue'));
        Vue.component('hrlegal-tab-exp-view', () => import('@pages/base/hrlegal-tab-exp-view/hrlegal-tab-exp-view.vue'));
        Vue.component('hroperation-unit-dashboard-view', () => import('@pages/base/hroperation-unit-dashboard-view/hroperation-unit-dashboard-view.vue'));
        Vue.component('hromhierarchy-cat-pickup-grid-view', () => import('@pages/base/hromhierarchy-cat-pickup-grid-view/hromhierarchy-cat-pickup-grid-view.vue'));
        Vue.component('hromhierarchy-cat-pickup-view', () => import('@pages/base/hromhierarchy-cat-pickup-view/hromhierarchy-cat-pickup-view.vue'));
        Vue.component('hrpost-v-005', () => import('@pages/human-resource/hrpost-v-005/hrpost-v-005.vue'));
        Vue.component('hrlegal-edit-view', () => import('@pages/base/hrlegal-edit-view/hrlegal-edit-view.vue'));
        Vue.component('hrorganization-grid-view', () => import('@pages/base/hrorganization-grid-view/hrorganization-grid-view.vue'));
        Vue.component('hromhierarchy-edit-view', () => import('@pages/base/hromhierarchy-edit-view/hromhierarchy-edit-view.vue'));
        Vue.component('hrduty-pickup-view', () => import('@pages/human-resource/hrduty-pickup-view/hrduty-pickup-view.vue'));
        Vue.component('hrpost-rel-grid-view', () => import('@pages/human-resource/hrpost-rel-grid-view/hrpost-rel-grid-view.vue'));
        Vue.component('hromhierarchy-cat-edit-view', () => import('@pages/base/hromhierarchy-cat-edit-view/hromhierarchy-cat-edit-view.vue'));
        Vue.component('hrorg-contact-edit-view', () => import('@pages/base/hrorg-contact-edit-view/hrorg-contact-edit-view.vue'));
        Vue.component('hromhierarchy-cat-v-002', () => import('@pages/base/hromhierarchy-cat-v-002/hromhierarchy-cat-v-002.vue'));
        Vue.component('hrdistribution-grid-view', () => import('@pages/human-resource/hrdistribution-grid-view/hrdistribution-grid-view.vue'));
        Vue.component('hremployee-edit-view', () => import('@pages/human-resource/hremployee-edit-view/hremployee-edit-view.vue'));
        Vue.component('hromhierarchy-pickup-grid-view', () => import('@pages/base/hromhierarchy-pickup-grid-view/hromhierarchy-pickup-grid-view.vue'));
        Vue.component('hrpost-rel-edit-view', () => import('@pages/human-resource/hrpost-rel-edit-view/hrpost-rel-edit-view.vue'));
        Vue.component('hrdistribution-v-001', () => import('@pages/human-resource/hrdistribution-v-001/hrdistribution-v-001.vue'));
        Vue.component('hrduty-grid-view', () => import('@pages/human-resource/hrduty-grid-view/hrduty-grid-view.vue'));
        Vue.component('hrpost-edit-view', () => import('@pages/human-resource/hrpost-edit-view/hrpost-edit-view.vue'));
    }
};